package com.simuwang.base.pojo.dos;

import com.simuwang.base.pojo.vo.FundInformationVO;
import lombok.Data;

/**
 * FileName: FundInformationDO
 * Author:   chenjianhua
 * Date:     2024/10/11 14:19
 * Description: ${DESCRIPTION}
 */
@Data
public class FundInformationDO {
    /**
     * ID
     */
    private Integer id;
    /**
     * 基金ID
     */
    private String fundId;
    /**
     * 基金简称
     */
    private String fundShortName;
    /**
     * 备案编码
     */
    private String registerNumber;
    /**
     * 管理ID
     */
    private String companyId;
    /**
     * 管理人简称
     */
    private String companyShortName;
    /**
     * 管理人
     */
    private String companyName;
    /**
     * 管理人
     */
    private String creditCode;
    /**
     * 基金成立日期
     */
    private String inceptionDate;
    /**
     * 最新净值日期
     */
    private String lastPriceDate;
    /**
     * 净值报送频率，1-日频，2-周频，3-月频，4-季频，5-半年，6-年频
     */
    private Integer navFrequency;
    /**
     * 规模报送频率，1-日频，2-周频，3-月频，4-季频，5-半年，6-年频
     */
    private Integer assetFrequency;
    /**
     * 估值报送频率，1-日频，2-周频，3-月频，4-季频，5-半年，6-年频
     */
    private Integer valuationFrequency;
    /**
     * 规模备注
     */
    private String frequencyRemark;

    public FundInformationVO toVO() {
        FundInformationVO vo = new FundInformationVO();
        vo.setId(this.id);
        vo.setFundId(this.fundId);
        vo.setFundShortName(this.fundShortName);
        vo.setRegisterNumber(this.registerNumber);
        vo.setCompanyId(this.companyId);
        vo.setCompanyName(this.companyName);
        vo.setCompanyShortName(this.companyShortName);
        vo.setCreditCode(this.creditCode);
        vo.setNavFrequency(this.navFrequency);
        vo.setAssetFrequency(this.assetFrequency);
        vo.setValuationFrequency(this.valuationFrequency);
        vo.setFrequencyRemark(this.frequencyRemark);
        vo.setInceptionDate(this.inceptionDate);
        vo.setLastPriceDate(this.lastPriceDate);
        return vo;
    }
}
